Index: cap_openni.cpp
===================================================================
--- cap_openni.cpp	(revision 7859)
+++ cap_openni.cpp	(working copy)
@@ -1054,6 +1054,16 @@
             mode.nYRes = XN_SXGA_Y_RES;
             mode.nFPS = 30;
             break;
+		case CV_CAP_OPENNI_QVGA_30HZ :
+			 mode.nXRes = XN_QVGA_X_RES;
+			 mode.nYRes = XN_QVGA_Y_RES;
+			 mode.nFPS = 30;
+			 break;
+		case CV_CAP_OPENNI_QVGA_60HZ :
+			 mode.nXRes = XN_QVGA_X_RES;
+			 mode.nYRes = XN_QVGA_Y_RES;
+			 mode.nFPS = 60;
+			 break;
         default :
             CV_Error( CV_StsBadArg, "Unsupported image generator output mode.\n");
         }
